<> ブログエントリが機能制限される | PhoenixKnight

ブログエントリが機能制限される

Drupalバージョン
モジュール
imagebrowserモジュールを導入し、NodeWord(メタタグ)の設定を変更しいくつかのモジュールをUPGRADEして以来、ブログエントリの作成ページだけがリンクボタンやWYSIWYGメニューが表示されなくなった。
何かの設定で機能が制限されてしまっているようで、エラーが発生していないために原因が不明。

どうすればいいのやら


原因はjQuery Updateモジュールでした。

問題が発生したのはjQuery Update 6.x-2.0 alpha1です。

このモジュール自体はDrupalコア(misc以下)にあるjquery.jsではなく拡張モジュールにあるバージョン(最新バージョン)を使えるようにするものです。
Druapl 5.xのころは、misc/jquery.jsを置き換える必要がありましたが、現在はこの手順は不要になりました。

モジュールを導入したあとに、admin/settings/jquery_update画面から以下3タイプのうちから1つを選択するだけです。
①Packed
②Minified
③なし
※Ver6.x-2.0 alpha1にはPackedは含まれていないので②と③の2択になります。

jqueryのバージョン比較
項目 Drupalコア 6.22 jQuery Update 1.1 jQuery Update 2.0 alpha1
jquery.jsのバージョン 1.2.6 rev5685 1.2.6 rev5685 1.3.2 rev6246
その他のjavascript library ahah.js
collapse.js
jquery.form.js
tabledrag.js
teaser.js
autocomplete.js
drupal.js
tableheader.js
textarea.js
batch.js
form.js
progress.js
tableselect.js
farbtastic/farbtastic.js
farbtastic.js
jquery.min.js
jquery.packed.js
ahah.js
farbtastic.js
jquery.form.js
jquery.min.js
tabledrag.js
teaser.js
Drupalコアのバージョンが6.22ならわざわざjQuery Update 1.1を導入する必要はなさそうです。

気がかりなのは1.1も2.0もモジュール導入後に"/batch?op=start&id=xxx"にアクセスできないといったエラーメッセージが表示されることでしょうか

2.0では正常に動作しないのでjQuery Updateモジュール自体をアンインストールしました。